Bug 80038 - Other: Trying to open incompatible file types results in a crash
Summary: Other: Trying to open incompatible file types results in a crash
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3.0.0.beta2
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-14 23:19 UTC by Alexander Wilms
Modified: 2015-05-06 14:23 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Wilms 2014-06-14 23:19:18 UTC
Problem description: 
Trying to open e.g. an exe file should result in a warning message, not a crash.

Steps to reproduce:
1. Drag e.g. exe file onto LibreOffice icon

Current behavior:
LibreOffice crashes

Expected behavior:
It should show a warning mesaage, like GIMP.
Operating System: Windows 7
Version: 4.3.0.0.beta2
Comment 1 Maxim Monastirsky 2014-06-15 09:35:19 UTC
I'm not able to reproduce the crash with %WINDIR%\notepad.exe. Maybe this is reproducible only with a specific exe file?
Comment 3 Maxim Monastirsky 2014-06-15 14:04:16 UTC
(In reply to comment #2)
> I tried it with
> http://portableapps.com/redirect/
> ?a=LibreOfficePortable&t=http%3A%2F%2Fdownload.documentfoundation.
> org%2Flibreoffice%2Fportable%2F4.2.4%2FLibreOfficePortable_4.2.
> 4_MultilingualNormal.paf.exe
It doesn't crash for me, but tries to open the file for a very long time with a constant 50% CPU usage. I killed the process after ~1.5 hours with ~400MB RAM usage.

Given that any unknown file type is forced to open in Writer with the ascii filter [1], I can guess why this happens. Not only it's a big file (117MB), the filter will treat special symbols like carriage return or form feed. Even notepad.exe (176KB on my system), opens with 666 pages. Now imagine what could be the results of opening your file.

[1] http://opengrok.libreoffice.org/xref/core/filter/source/textfilterdetect/filterdetect.cxx#162
Comment 4 Caolán McNamara 2014-09-27 20:03:11 UTC
Its possible that the crash was in icu and is resolved with one or more of the three commits of
 1f39f4466f334165d85d1ed8cccf33ff14f91434 3259d56baf99956ed6576919c7b0abd9203de41d b68d4b14c0ff336318602310dd987ced737b4213
Comment 5 QA Administrators 2015-04-01 14:47:23 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least
6 months. Please provide the requested information as soon as
possible and mark the bug as UNCONFIRMED. Due to regular bug
tracker maintenance, if the bug is still in NEEDINFO status with
no change in 30 days the QA team will close the bug as INVALID
due to lack of needed information.

For more information about our NEEDINFO policy please read the
wiki located here:
https://wiki.documentfoundation.org/QA/Bugzilla/Fields/Status/NEEDINFO

If you have already provided the requested information, please
mark the bug as UNCONFIRMED so that the QA team knows that the
bug is ready to be confirmed.
 
Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team
Comment 6 QA Administrators 2015-05-06 14:21:44 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team